com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_RwdConfig

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_RwdConfig
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_RwdConfig

-     public class STUHFL_T_ST25RU3993_RwdConfig
      extends BR_ST25RU3993_RwdConfig

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_RwdConfig

      `BR_ST25RU3993_RwdConfig.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.RWD_CFG_ID` | `id`
    `int` | `value` < I Param: Reader configuration ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_RwdConfig()`
    `STUHFL_T_ST25RU3993_RwdConfig(STUHFL_E.RWD_CFG_ID id, int value)`
    `STUHFL_T_ST25RU3993_RwdConfig(STUHFL_T_ST25RU3993_RwdConfig other)` < I/O Param: Corresponding configuration value

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set reader configuration
    `STUHFL_E.RET_CODE` | `fetch()` Get reader configuration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_RwdConfig

      `_Get_RwdCfg, _Set_RwdCfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public STUHFL_E.RWD_CFG_ID id

    - #### value

          public int value

      < I Param: Reader configuration ID

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_RwdConfig

          public STUHFL_T_ST25RU3993_RwdConfig(STUHFL_T_ST25RU3993_RwdConfig other)

      < I/O Param: Corresponding configuration value

    - #### STUHFL_T_ST25RU3993_RwdConfig

          public STUHFL_T_ST25RU3993_RwdConfig(STUHFL_E.RWD_CFG_ID id,
                                               int value)

    - #### STUHFL_T_ST25RU3993_RwdConfig

          public STUHFL_T_ST25RU3993_RwdConfig()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set reader configuration
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get reader configuration
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`